Documentation

Get an agent by id

GET
/api/v1/external/agents/{agentId}

Scope requis : read:agents.

AutorisationBearer <jeton>

JWT d'organisation obtenu via le flow OIDC. Voir le guide d'intégration.

Dans: header

Paramètres de chemin

agentId*string

Corps de réponse

application/json

curl -X GET "https://example.com/api/v1/external/agents/string"
{  "id": "string",  "name": "string",  "description": "string",  "authorId": "string",  "toneOfVoice": "polite",  "describedToneOfVoice": "string",  "examples": [    {      "input": "string",      "expectedOutput": "string"    }  ],  "isRemixAllowed": true,  "imageUrl": "string",  "tools": [    {      "name": "string",      "enabled": true,      "config": {}    }  ],  "starterSentences": [    "string"  ],  "guardrails": "string",  "modelConfiguration": {    "model": {      "id": "string",      "externalModelId": "string",      "name": "string",      "provider": "string",      "organizationName": "string",      "category": "NLP_LLM"    },    "temperature": 0,    "topK": 0,    "topP": 0,    "frequencyPenalty": 0,    "presencePenalty": 0,    "repetitionPenalty": 0,    "maxTokens": 0,    "seed": 0,    "stop": [      "string"    ]  },  "role": "string",  "instructions": [    "string"  ],  "storeConfiguration": {    "voxStore": {      "pricing": 0,      "profit": 0,      "category": "writing",      "shortDescription": "string",      "fullDescription": "string",      "isPublic": true    },    "aiStore": {      "pricing": 0,      "profit": 0,      "category": "writing",      "shortDescription": "string",      "fullDescription": "string",      "isPublic": true    }  },  "status": "draft",  "authorizedUsersIds": [    "string"  ],  "knowledgeEnabled": true,  "embedder": "agno",  "isFavorite": true,  "organizationName": "string",  "owner": {    "username": "string",    "avatar": "string"  },  "createdAt": "string",  "pullNumber": 0,  "rating": 0,  "sovScore": 0}